# Connect to user wallet

## Enter the user's five-word code to instantly connect to their wallet.

<mark style="color:green;">`POST`</mark> `https://api.alturanft.com/api/alturaguard/addRequest`

#### Query Parameters

| Name                                     | Type   | Description  |
| ---------------------------------------- | ------ | ------------ |
| apiKey<mark style="color:red;">\*</mark> | String | Your API key |

#### Request Body

| Name                                   | Type   | Description                    |
| -------------------------------------- | ------ | ------------------------------ |
| code<mark style="color:red;">\*</mark> | String | User entered Altura Guard code |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    address:"address of user",
    token:"authentication token"
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
You should store both the address and token in a database. The user can revoke this token at any point and so can the game. If you lose this token, you will not be able to create a new connection with the user unless they revoke the existing one.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/api-reference/altura-guard-ii/connect-to-user-wallet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
